Poradíte prosím?


#1

Tak jsem to vyřešila jinak. Protože evidentně není možné zprovoznit Sound Blaster Z v jakémkoliv Linuxu, vzdala jsem se této snahy a disk s Linuxem jsem z PC jednoduše vyndala.A protože mám Linux opravdu ráda a ráda bych ho jednou (co nejdříve) používala i na běžném PC, koupila jsem si za pár fufníků MacBook Early 2008 (Core 2 Duo 2.0 GHz, zatím 1 GB RAM, asi za hodinu bude mít 6 GB RAM a dala jsem tam WD Black 500 GB namísto původního 80 GB disku, možná tam časem dám nějaké SSD). Zkusila jsem spustit nainstalovaný Linux co byl v PC a naběhlo to, ale bylo to teda hodně pomalé (OpenSUSE Leap 42.3 KDE) a navíc se mi zaboha nepodařilo zprovoznit wifi. Tak jsem zkusila Linux Mint 18.3 Mate, ten běží slušně a funguje všechno včetně wifi, jen je potřeba doinstalovat ovladače a vyžaduje to drátové připojení, protože to ovladač stahuje z internetu. Zajímavé je, že open ovladač, který je doporučený, umožní připojit se k routru, ale internet jako takový nefunguje, tak jsem použila uzavřený a ten funguje na jedničku. Ale protože to přeci jen běží s 1 GB RAM dost pomalu, zkusila jsem i Linux Mint 18.3 XFCE a ten tedy běžel pěkně rychle, využití RAM asi poloviční, ale je to strašně ošklivé, jak z minulého století a navíc tam nefunguje nastavení rolování myší (v systému je to v pořádku, ale v Opeře je původní nastavení, tedy obráceně než je natural srcolling a změnit se mi to nepovedlo). Tak jsem vrátila Mate.

A chtěla bych se ještě zeptat, je možné na tomto stroji plnohodnotně provozovat Fedoru tak, aby fungovalo všechno jako v Mintu? Tedy samozřejmě i ta wifi? Je mi úplně jedno jestli je ovladač nebo program open nebo proprietární, důležité je aby fungoval. Dále jaké byste doporučili prostředí? KDE asi nebude moc použitelné, bylo by možné použít Gnome? Nebo nějaké jiné prostředí? Hlavně ne XFCE, to je opravdu přímo strašlivě ošklivé, jedině že by se dalo nějak přeskinovat, aby vypadalo jako z 21. století. Celkově dbám na design, takže i prostředí se mi musí líbit. Nejvíc se mi líbí právě KDE a i Gnome je pěkné a přehledné, zvláště když se dock dá tam kam patří, tedy dolů a nechá se trvale zobrazený :slight_smile: Nebo bych měla zůstat na Mintu Mate? Na něm mi aktuálně funguje všechno.

Potřebuji aby fungoval web (Opera), e-mail (Evolution nebo cokoliv co dokáže použít iCloud, Thunderbird se mi nepodařilo rozběhnout, neustále mi tvrdil problém s heslem), přehrávání hudby m4a, přehrávání videa mp4 a celkově prostě jednoduché ovládání. A také potřebuji poradit, jak velký použít swap? A dá se nastavit ne jako samostatný oddíl, ale jako normální soubor, jako to mají macOS a Windows? Mint mi nastavil 1 GB (dala jsem automatické rozdělení disku) a je to absolutně nedostatečné, stačí abych spustila současně Operu a Evolution a jak RAM tak swap jsou okamžitě plné. S 6 GB RAM čekám že to bude podstatně lepší, ale stejně mi přijde rozumnější mít swap jako soubor a ne oddíl, který se nedá změnit. Navíc používám občas uspání na disk namísto obyčejného uspání a 6 GB se do 1 GB swapu asi nevejde :slight_smile:

Předem děkuji za každou radu :slight_smile:


#2

No, záleží na tom, jestli tam budeš mít těch 6 GB, nebo 1 GB. 1 GB je dnes pro KDE nebo GNOME úplně nedostatečné a pomalu to poběží i s minimalistickým prostředím (typu Fluxbox), protože jen Firefox klidně spoliká několik stovek megabajtů. S 6 GB by mělo běžet slušně jak GNOME, tak KDE.

Fedora swap jako soubor neumí, tedy minimálně ne triviálně. Pokud plánuješ hibernovat, kdy se celá RAM ukládá do swapu, tak se doporučuje alespoň 1,5 násobek RAMky. Pokud ne, tak záleží na na tobě. Já osobně bych dal alespoň 2 GB. Někdo nemá swap oddíl vůbec. Paradoxně to může být rychlejší, protože někdy ke swapování dochází zbytečně. Ale když skutečně dojde paměť, tak začnou problémy.

Co se týče ovladače pro wifinu, tak bychom potřebovali vědět, co to je za model (najdeš to třeba ve výpisu lspci). Počítám, že to je Broadcom. Uzavřené ovladače jsou v RPM Fusion, takže typicky se stačí připojit přes ethernet, přidat repozitáře RPM Fusion a nainstalovat balík s ovladačem broadcom-wl.


#3

Děkuji za odpověď. 6 GB tam nakonec mít nebudu, protože z nějakého neznámého důvodu MacBook s 6 GB RAM nenaběhne a nedá se dostat ani do Apple HW Test. Ovšem kombinace 4 GB + původní 512 MB funguje, takže mám nakonec 4.5 GB RAM a 144 MB si z toho bere GPU Intel X3100. Aktuálně nainstalovaný Mint 18.3 Mate běží nádherně, ale mě se to prostředí taky moc nelíbí, je to moc podobné starým Windows. Nejvíc se mi fakt líbí Gnome a KDE.

Firefox nepoužívám ale pravdou je, že Opera je na tom úplně stejně, takže tak :slight_smile:

Hibernovat plánuji, ono se to přeci jen spouští rychleji než klasický start, hlavně nemusím spouštět používané programy. Takže když mám 4.5 GB RAM, tak mám použít cca 6 GB swap? Bez swapu bych si s takhle málo RAM netroufla, i když pravdou je, že PC s 16 GB RAM má swap vypnutý a ještě tam používám ramdisk a paměť mi nikdy nedošla.

Ta wifi je podle lspci tato:


02:00.0 Network controller: Broadcom Corporation BCM4321 802.11a/b/g/n (rev 03)

Myslíš, že tedy by bylo možné použít Fedoru? Stačilo by těch 4.5 GB RAM na Gnome nebo KDE (KDE je asi trochu preferovanější).

A ještě se zeptám na jednu věc. Už jsem to tu řešila, ale nějak jsme nedošli k závěru. Gnome Software (nebo jak se to dnes jmenuje) neukazuje programy ze všech repozitářů, co se tedy dá použít místo toho? Terminál zrovna nemiluju a hlavně hledat názvy programů a co vlastně nainstalovat je na mě zbytečně složité, prostě mám ráda klikátko a řekla bych, že k dokonalosti to má dovedené OpenSUSE se svým Yast. Je možné něco takového použít ve Fedoře? Prostě když si přidám RPMFusion, abych si to VLC mohla nainstalovat jedním kliknutím a ne hledat co všechno k tomu potřebuji, jestli mi rozumíš.

A dále bych potřebovala, co všechno mám nainstalovat, abych měla podporu pro přehrávání mp4 a m4a/aac (to víš, primárně jsem Applistka a to se nikdy nezmění :slight_smile: ). V Mintu je to už nainstalované, ve Fedoře jsem s tím měla problém.


#4

4,5 GB by mohlo jít slušně. Já už jsem tak málo paměti dlouho neměl. Naposledy 6 GB a s nimi Fedora Workstation fungovala dobře.

Pokud chceš hibernovat, tak 6 GB swap na 4,5 GB RAM by měl stačit.

Ta wifina by měla ve Fedoře fungovat, jen je potřeba nainstalovat uzavřený ovladač: https://wiki.mojefedora.cz/domains/wiki.mojefedora.cz/doku.php?id=navody:prirucka:hardware#instalace_ovladacu_pro_wifi_karty_broadcom

Dej si pozor, abys při instalaci běžela na nejnovějším kernelu. Typicky lidi nainstalují systém, běží na starší verzi kernelu, aktualizují, nainstaluje se jim novější, nainstalují ovladač, ale ten se nastaví podle aktuálně běžícího kernelu a při rebootu pak ovladač nebude fungovat, protože je nastavený na starý kernel.

RPMFusion by měl podporovat AppStream data, takže aplikace v něm by se měly objevit v Software. Pokud chceš vidět všechny balíčky, ale pořád používat nějaký grafický nástroj, tak potom dnfdragora. Jinak aplikace jako VLC můžeš instalovat taky z Flathubu, taky se jeho aplikace objeví v Software potom, co ten repozitář přidáš: https://flathub.org/

VLC by mělo rovnou přehrát všechno. GNOME Videos si dokáže o chybějící kodek říct a pokud máš přidané RPMFusion, tak i nainstalovat. Jinak pro plnou multimediální podporu by mělo stačit toto: https://wiki.mojefedora.cz/domains/wiki.mojefedora.cz/doku.php?id=navody:prirucka:nekomercni_aplikace_multimedia#instalace_multimedialnich_kodeku


#5

Já jsem se s tak málo paměti taky už dlouho nesetkala, nejméně mám 8 GB v MBP 2016 :slight_smile: Ale prý tu ještě je šance rozběhnout 6 GB, jen je potřeba použít modul s jinými parametry, to zjistím v pondělí.

Fedora Workstation, to je tedy ta hlavní verze s Gnome?

Takže mám nainstalovat systém, aktualizovat ho a pak teprve nainstalovat ovladač, ju? A co až přijde aktualizace kernelu v budoucnu, bude wifi i nadále fungovat? Nebo se mám připravit na problémy?

Právě že bych ráda používala gafický nástroj, prostě projít si kategorie a vybrat si, přijde mi to mnohem pohodlnější než přes terminál.

VLC používám právě proto že se nemusím starat o kodeky. Co ten m4a? To je hudba a tu ve VLC nepřehrávám a iTunes pro Linux Bohužel neexistuje.


#6

Ano, Fedora Workstation je s GNOME.

Nainstaluj systém, aktualizuj, restartuj a nainstaluj ovladač. Při nových aktualizacích kernelu se ten ovladač díky akmodu “přenastaví” na nový kernel, takže by to mělo fungovat dál bez nutnosti s tím něco dělat.

m4a je normálně AAC, takže stačí nainstalovat AAC dekodér. Na to by měl stačit onen odkazovaný návod, který nainstaluje kodeky pro GStreamer, který používá většina hudebních přehravačů. Možná, že už to půjde přehrát ve výchozí instalaci, viz https://mojefedora.cz/fedora-27-dostane-podporu-pro-aac/ To záleží na tom, nakolik Apple používá standardní AAC a jestli tam není nějaká DRM ochrana.


#7

Děkuji za informace, půjdu na to :slight_smile:

Apple pokud vím nemá DRM, jen je v souboru koupeném v iTunes jméno toho, kdo to koupil. Navíc mám takový pocit, že snad ten formát je přímo jejich nebo se podíleli na jeho vytvoření a je to naprosto standardní formát bez jakýchkoliv případných problémů.

Ještě otázka, mám asi trochu radši KDE než Gnome, má smysl zkoušet KDE?


#8

Tak jsem nainstalovala Fedoru 27 a běželo to v pohodě, aktualizovala jsem, restartovala jsem, běželo to celkem slušně rychle, pak jsem nainstalovala ovladač wifi, restartovala jsem a pak začaly problémy. Pokaždé když to chtělo práva root, tak několikrát zablikala obrazovka, nakonec zčernala a byl konec, nereagovalo to absolutně na nic, jediná možnost byla notebook natvrdo vypnout. Zkusila jsem to několikrát a skončilo to tím, že se objevila hláška grub: a blikal tam kurzor a systém nešlo spustit. Zkusila jsem tedy nainstalovat OpenSUSE Leap 42.3 a scénář se opakoval, až do instalace ovladačů wifi všechno fungovalo bez problémů, po instalaci ovladačů opět při potřebě zadat heslo zčernala obrazovka a opět to skončilo rozbitým grubem. Tak jsem nakonec nainstalovala Mint 18.3 Cinnamon a tam funguje i ovladač wifi a internet přes wifi funguje bez problémů. Sice je Cinnamon ošklivý, ale funguje to.
Co se mohlo rozbít ve Fedoře a OpenSUSE? Oba tyto systémy se chovaly úplně stejně a přitom každý mají jinou verzi jádra i ostatního SW. Radši bych Fedoru nebo to SUSE než Mint, ale jestli tam nefunguje wifi, co mám dělat?


#9

Těžko říct bez chybových hlášek z logů. Možná ten ovladač dělá neplechu s novějšími verzemi jádra. Počítám, že Mint bude mít starší jádro než Fedora nebo openSUSE. To je bohužel problém ovladačů třetích stran. Distribuce je nemůžou nijak podporovat, pokud nemají přímou spolupráci s danou firmou, což většinou nemají, a závisí to tak na dané firmě, jestli drží krok s vývojem kernelu nebo podporuje jenom vybrané starší verze (třeba kernel z RHELu).
Vím, že z pohledu uživatele to je jedno, prostě to nefunguje, ale distribuce tu nemají moc možností, jak to zlepšit.

Nicméně já osobně jsem Broadcom ovladač instaloval na několik počítačů a nikdy jsem s ním neměl problém.

O bezdrátových kartách Broadcom a jejich podpoře si můžeš přečíst víc zde: https://wiki.archlinux.org/index.php/Broadcom_wireless


#10

Nevím v čem je problém, nicméně Mint má jádro spíše novější, než OpenSUSE určitě, v tom je 4.4 a něco a v Mintu mám momentálně 4.13.0-37-generic. Ale už několikrát jsem se setkala s tím, že v jedné distribuci něco nefungovalo a v jiné ano. Vzpomínám si třeba Fedora loni koncem zimy (25 nebo 26?) kde instalace Nvidia ovladačů skončila nemožností spustit grafické prostředí, prostě to nahlásilo “Jejda, něco se pokazilo” a byl konec, pomohlo jen odinstalovat ovladače. V Ubuntu to suše řeklo chybu a ovladače se ani nedaly nainstalovat a v Mintu to šlo na jeden klik. Na druhou stranu v asi půl roku na to v Ubuntu přestalo fungovat VLC (na notebooku mamky) a ve Fedoře šlo všechno bez problémů a dokonce všechno běželo rychleji.

Přiznám se, že docela často si říkám, jak by bylo super, kdyby byla jedna distribuce, na které by pracovali všichni a dotáhli ji k dokonalosti a člověk by si zvolil jen grafické prostředí. Tak nějak věřím tomu, že by to fungovalo a že by díky tomu došlo k mnohem většímu rozšíření. Jenže dokud se to nevyzkouší, nedozvíme se jestli mám pravdu nebo ne a vzhledem k tomu, jak uvažuje většina linuxářů se to nejspíš nikdy nevyzkouší.

Jinak mám nainstalované tohle: https://i.imgur.com/99GpR0h.png
První nefunguje, po nainstalování se sice wifi objeví a dá se dokonce i připojit k routru, ale nefunguje internet ani lokální síť. To druhé funguje bez nejmenšího problému a to třetí ani nevím co je, ale řekla bych, že ani jedno není tebou odkazované broadcom-wl, není to ve wiki popsané jako “b43 Kernel driver reverse-engineered version”?


#11

To první je broadcom-wl, uzavřený ovladač od Broadcomu, to druhé je open-source ovladač, který ale potřebuje uzavřený firmware.

Popsané to je pěkně zde: https://wiki.archlinux.org/index.php/Broadcom_wireless


#12

Aha, tak to je zajímavé, to první mi nefunguje, to druhé ano. Asi by bylo lepší použít ten první ovladač když je přímo od Broadcomu, ale má cenu to řešit, když ten druhý, open s uzavřeným firmwarem, mi funguje bez problémů?


#13

Nemá. Naopak s tím otevřeným by mělo být méně problémů, protože je součástí kernelu a nebude se rozbíjet s novými verzemi. Ten firmware už se asi měnit nebude. Pochybuju, že Broadcom nějak extra podporuje 10 let staré zařízení. To bude možná i ten problém toho jejich uzavřeného ovladače.


#14

Aha, chápu. Tak je jasné, že nikdo nebude dělat cokoliv na tak staré věci, ale spíše je divné, že by mělo fungovat oboje a jedno funguje a druhé ne. Jinak jsem tedy vyzkoušela ještě několik distribucí a nejlépe na tom běží Linux Mint 18.3 Cinnamon. Zkoušela jsem Fedoru Gnome i KDE a byla dost pomalá (spuštění trvalo cca 5 minut), ale to není nic proti OpenSUSE Tumbleweed, které se spouštělo deset minut a žralo bezkonkurenčně nejvíc RAM (hned po spuštění přes 2 GB). Asi by v tom pomohlo SSD, ale momentálně žádné volné nemám a kupovat ho kvůli počítači na hraní opravdu nebudu, na to stojí pořád moc peněz. Klasické Ubuntu i Kubuntu na tom bylo už mnohem lépe, ale nepovedlo se mi tam rozběhnout wifi, nabídlo mi to jeden ovladač, wifi viděla sítě, ale nepřipojila se a nepodařilo se mi to vyřešit. Takže nakonec tam je Mint Cinnamon, ten si po startu vezme ~800 MB RAM a ani po několika hodinách neswapuje, spustí se za cca 2 minuty a běhá dost svižně, takže tam asi i zůstane.

Ale pro změnu mám problém s tiskárnou, síťovou Lexmark, ovladače jsou přímo pro tento model, ale tiskárna prý nekomunikuje, nemůže to evidentně všechno normálně fungovat…


#15

Tak jsem zjistila, že problém s MacBookem je v jakémkoliv jádře 4.15 a novějším, něco tam zlobí a start trvá strašně dlouho. Škoda, že Fedora má tak rychlý vývojový cyklus, nemůžu tam použít to nejnovější. Takže jsem nakonec dala OpenSUSE Leap 42.3 s jádrem 4.4 a funguje to skvěle.


#16

To je možné. Přece jenom Macbooky nejsou hardware, který je dělaný pro to, aby na něm běžel Linux, takže podpora je taková “best effort” od komunity a může se s novými verzemi kernelu rozbít.

Jinak do Fedory jdou jednoduše doinstalovat starší kernely. Kernel nemá závislosti mimo sebe sama, takže lze používat i kernely, které vyšly pro starší Fedory. Nicméně za cenu toho, že tam člověk nemusí mít aktuální opravy.


#17

Je to Intel a standardní komponenty, snad jenom že se hlásí jinak (wifi jako AirPort např.), ale jinak to funguje normálně. Je tedy možné nějak dostat do nejnovější Fedory starší kernel? Můžeš mě prosím nasměrovat jak to udělat? Ony fungují i ty nové, ale start systému je strašně dlouhý a nepomůže ani SSD, prostě tam něco dává chybu, kernel čeká a čeká a pak se na to vykašle a pokračuje. Jenže tím se prodlouží start na 5 i více minut. Prý je to něco s grafikou.

Jinak prosím o pomoc v sousedním vláknu o té zvukovce, Windows mě fakt zlobí a ten jarní update je totální mizérie. Dnes mi to ráno zase zamrzlo aniž by to mělo důvod a já potřebuji spolehlivý počítač jako dosud. Ale moje zvukovka v Linuxu nefunguje.